{"openapi":"3.0.1","info":{"title":"24-seven-fees-ui-experience-api","description":"24 Seven Fees UI Experience API","version":"1.0"},"servers":[{"url":"https://dev.24sevenfees.com/ui-experience-api/api"}],"security":[{"bearerAuth":[]}],"paths":{"/quote":{"post":{"tags":["Title Calc Quote"],"description":"Create a new quote","parameters":[{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/quoteRequestType"}}},"required":false},"responses":{"201":{"description":"Successful quote creation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/postQuoteResponse"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quote/{quoteNumber}":{"get":{"tags":["Title Calc Quote"],"description":"Obtain quote information","parameters":[{"$ref":"#/components/parameters/pathQuoteNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/quoteResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"put":{"tags":["Title Calc Quote"],"description":"Update an existing quote","parameters":[{"$ref":"#/components/parameters/pathQuoteNumber"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/quoteRequestType"}}},"required":false},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"delete":{"tags":["Title Calc Quote"],"description":"Delete an existing quote","parameters":[{"$ref":"#/components/parameters/pathQuoteNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quote/{quoteNumber}/basicView":{"get":{"tags":["Title Calc Quote"],"description":"Get Basic fee results for a quote","parameters":[{"$ref":"#/components/parameters/pathQuoteNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/basicViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quote/{quoteNumber}/cdView":{"get":{"tags":["Title Calc Quote"],"description":"Get Closing Disclosure fee results for a quote","parameters":[{"$ref":"#/components/parameters/pathQuoteNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/cdViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quote/{quoteNumber}/altaView":{"get":{"tags":["Title Calc Quote"],"description":"Get ALTA Settlement Statement View for a Quote","parameters":[{"$ref":"#/components/parameters/pathQuoteNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/altaViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quote/{quoteNumber}/loanEstView":{"get":{"tags":["Title Calc Quote"],"description":"Get fee results for a quote","parameters":[{"$ref":"#/components/parameters/pathQuoteNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/loanEstimateViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quote/{quoteNumber}/pdf/{viewType}":{"get":{"tags":["Title Calc Quote"],"description":"Generate a Title Calc Quote PDF Document","parameters":[{"$ref":"#/components/parameters/pathQuoteNumber"},{"$ref":"#/components/parameters/pathViewType"},{"$ref":"#/components/parameters/xTenantId"},{"$ref":"#/components/parameters/email"}],"responses":{"200":{"$ref":"#/components/responses/genericPdf"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quote/{quoteNumber}/results":{"get":{"tags":["Title Calc Quote"],"description":"Get fee results for a quote","parameters":[{"$ref":"#/components/parameters/pathQuoteNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"Quote results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/quoteResponseResultsType"},"examples":{"quoteResultsRecordingFeesExample":{"$ref":"#/components/examples/quoteResultsRecordingFeesExample"}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quote/{quoteNumber}/status":{"get":{"tags":["Title Calc Quote"],"description":"Get status of a quote","parameters":[{"$ref":"#/components/parameters/pathQuoteNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/quoteStatusType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quote/{quoteNumber}/notes":{"get":{"tags":["Title Calc Quote"],"description":"Get Seller Net Sheet notes associated by NetSheetNumber","parameters":[{"$ref":"#/components/parameters/pathQuoteNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"Notes Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/notesResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quote/inputs/property":{"post":{"tags":["Title Calc Quote"],"description":"Get a list of inputs appropriate to a given an address","requestBody":{"content":{"application/json":{"schema":{"additionalProperties":false,"required":["property","selectedAccountId"],"properties":{"selectedAccountId":{"$ref":"#/components/schemas/uuid"},"property":{"$ref":"#/components/schemas/property"}}}}}},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quote/inputs/transaction":{"post":{"tags":["Title Calc Quote"],"description":"Get a list of inputs given certain transaction details","requestBody":{"content":{"application/json":{"schema":{"additionalProperties":false,"required":["transactionType","selectedAccountId","property"],"properties":{"transactionType":{"$ref":"#/components/schemas/transactionType"},"selectedAccountId":{"$ref":"#/components/schemas/uuid"},"property":{"$ref":"#/components/schemas/property"}}}}}},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/property/info":{"get":{"tags":["Property"],"parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/queryZip"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"Property info based on query params","content":{"application/json":{"schema":{"$ref":"#/components/schemas/propertyInfoResponseType"},"examples":{"propertyInfoResultExample":{"$ref":"#/components/examples/propertyInfoResultExample"}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/property/info/{state}":{"get":{"tags":["Property"],"description":"Get property info by state","parameters":[{"$ref":"#/components/parameters/pathState"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/propertyInfoStateType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/property/transactionType":{"get":{"tags":["Property"],"description":"Get transaction types","parameters":[{"$ref":"#/components/parameters/queryState"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/transactionTypeType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/configure":{"description":"Configure resource"},"/configure/account":{"get":{"tags":["Configure"],"parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"Get details on an account configuration","content":{"application/json":{"schema":{"$ref":"#/components/schemas/configureAccountResponseType"},"examples":{"configureAccountGetResponseExample":{"$ref":"#/components/examples/configureAccountGetResponseExample"}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/configure/account/image":{"put":{"tags":["Configure"],"parameters":[{"name":"accountUuid","in":"header","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/imageUrl"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/configure/account/splash":{"put":{"tags":["Configure"],"parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/imageUrl"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/configure/account/states":{"get":{"tags":["Configure"],"parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/stateList"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"put":{"tags":["Configure"],"description":"Operating states for an account","parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/stateList"}}},"required":false},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/configure/settlement":{},"/configure/settlement/fee":{"post":{"tags":["Configure"],"description":"Post a new settlement fee","parameters":[{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"required":["name"],"type":"object","properties":{"name":{"type":"string","pattern":"^[a-zA-Z0-9- .()\\/]+$"}}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"required":["name","id"],"type":"object","properties":{"name":{"type":"string"},"id":{"type":"integer"}}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"get":{"tags":["Configure"],"description":"Search for existing settlement fees with search string","parameters":[{"$ref":"#/components/parameters/querySearch"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"required":["name","id"],"type":"object","properties":{"name":{"type":"string"},"id":{"type":"integer"}}}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/configure/settlement/list":{"get":{"tags":["Configure"],"description":"Get list of fee types","parameters":[{"$ref":"#/components/parameters/queryAccountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tierTypesType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/configure/settlement/tier/{tierUuid}":{"delete":{"tags":["Configure"],"parameters":[{"$ref":"#/components/parameters/pathTierUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"}}}},"/configure/underwriter":{"description":"Underwriter resource"},"/configure/settlement/tier/{tierUuid}/duplicate":{"put":{"tags":["Configure"],"parameters":[{"$ref":"#/components/parameters/pathTierUuid"}],"responses":{"200":{"$ref":"#/components/responses/generic200"}}}},"/configure/settlement/tier/{tierUuid}/rename":{"put":{"tags":["Configure"],"parameters":[{"$ref":"#/components/parameters/pathTierUuid"},{"$ref":"#/components/parameters/name"}],"responses":{"200":{"$ref":"#/components/responses/generic200"}}}},"/configure/underwriter/list":{"get":{"tags":["Configure"],"description":"Get list of underwriters","parameters":[{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"Get a list of configured underwriters and information","content":{"application/json":{"schema":{"$ref":"#/components/schemas/configureUnderwriterListResponseType"},"examples":{"configureUnderwriterListResponseExample":{"$ref":"#/components/examples/configureUnderwriterListResponseExample"}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/configure/underwriter/products":{"get":{"tags":["Configure"],"parameters":[{"$ref":"#/components/parameters/queryProductType"},{"$ref":"#/components/parameters/queryUnderwriterUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/underwriterProductsType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/sellerNetSheet":{"post":{"tags":["Seller Net Sheet"],"description":"Create a new seller net sheet to obtain a sellerNetSheetNumber to create scenarios","parameters":[{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/sellerNetSheetRequestType"}}},"required":false},"responses":{"201":{"description":"Seller net sheet created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sellerNetSheetPostResponseType"},"examples":{"sellerNetSheetResponseExample":{"$ref":"#/components/examples/sellerNetSheetResponseExample"}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/sellerNetSheet/addresses":{"get":{"tags":["Seller Net Sheet"],"description":"Get saved addresses for an account for seller net sheets","parameters":[{"$ref":"#/components/parameters/querySearch"},{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/savedAddressesResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/sellerNetSheet/{sellerNetSheetNumber}":{"get":{"tags":["Seller Net Sheet"],"description":"Get a seller net sheet by sellerNetSheetNumber","parameters":[{"$ref":"#/components/parameters/pathSellerNetSheetNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sellerNetSheetScenariosResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"delete":{"tags":["Seller Net Sheet"],"description":"Void a seller net sheet by sellerNetSheetNumber","parameters":[{"name":"sellerNetSheetNumber","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/sellerNetSheet/{sellerNetSheetNumber}/scenario":{"post":{"tags":["Seller Net Sheet"],"description":"Create a new scenario for a seller net sheet","parameters":[{"$ref":"#/components/parameters/pathSellerNetSheetNumber"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/scenarioRequestType"}}},"required":false},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/scenarioResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/sellerNetSheet/{sellerNetSheetNumber}/notes":{"get":{"tags":["Seller Net Sheet"],"description":"Get Seller Net Sheet notes associated by NetSheetNumber","parameters":[{"$ref":"#/components/parameters/pathSellerNetSheetNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"Get notes for a seller netsheet","content":{"application/json":{"examples":{"sellerNetsheetNotesResponseExample":{"$ref":"#/components/examples/sellerNetsheetNotesResponseExample"}},"schema":{"$ref":"#/components/schemas/sellerNetSheetNotesResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/sellerNetSheet/{sellerNetSheetNumber}/pdf":{"get":{"tags":["Seller Net Sheet"],"description":"Get Seller Net Sheet notes associated by NetSheetNumber","parameters":[{"$ref":"#/components/parameters/pathSellerNetSheetNumber"},{"$ref":"#/components/parameters/xTenantId"},{"$ref":"#/components/parameters/email"}],"responses":{"200":{"$ref":"#/components/responses/genericPdf"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/sellerNetSheet/scenario/{scenarioId}":{"get":{"tags":["Seller Net Sheet"],"description":"Get a scenario by scenarioId","parameters":[{"$ref":"#/components/parameters/pathScenarioId"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/scenarioResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"put":{"tags":["Seller Net Sheet"],"description":"Update a scenario by scenarioId","parameters":[{"$ref":"#/components/parameters/pathScenarioId"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/scenarioUpdateType"}}},"required":false},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"delete":{"tags":["Seller Net Sheet"],"description":"Void a scenario by scenarioId","parameters":[{"$ref":"#/components/parameters/pathScenarioId"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/sellerNetSheet/inputs/property":{"post":{"tags":["Seller Net Sheet"],"description":"Get a list of inputs appropriate to a given an address","requestBody":{"content":{"application/json":{"schema":{"additionalProperties":false,"required":["property","selectedAccountId"],"properties":{"selectedAccountId":{"$ref":"#/components/schemas/uuid"},"property":{"$ref":"#/components/schemas/property"}}}}}},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/sellerNetSheet/inputs/transaction":{"post":{"tags":["Seller Net Sheet"],"description":"Get a list of inputs given certain transaction details","requestBody":{"content":{"application/json":{"schema":{"additionalProperties":false,"required":["transactionType","selectedAccountId","property"],"properties":{"transactionType":{"$ref":"#/components/schemas/transactionType"},"selectedAccountId":{"$ref":"#/components/schemas/uuid"},"property":{"$ref":"#/components/schemas/property"}}}}}},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/reverseMortgage":{"post":{"tags":["Reverse Mortgage"],"description":"Create a new Reverse Mortgage","parameters":[{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/reverseMortgageRequestType"}}},"required":false},"responses":{"201":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/estimateStatusType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/reverseMortgage/{estimateNumber}":{"get":{"tags":["Reverse Mortgage"],"description":"Obtain Reverse Mortgage information","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/reverseMortgageResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"put":{"tags":["Reverse Mortgage"],"description":"Update an existing Reverse Mortgage","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/reverseMortgageRequestType"}}},"required":false},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"delete":{"tags":["Reverse Mortgage"],"description":"Delete an existing Reverse Mortgage","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/reverseMortgage/{estimateNumber}/status":{"get":{"tags":["Reverse Mortgage"],"description":"Get status of a reverse mortage estimate","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/reverseMortgage/{estimateNumber}/basicView":{"get":{"tags":["Reverse Mortgage"],"description":"Get Reverse Mortgage Basic View","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/reverseMortgageBasicViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/reverseMortgage/{estimateNumber}/cdView":{"get":{"tags":["Reverse Mortgage"],"description":"Get reverse mortgage Closing Disclosure View","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/reverseMortgageCdViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/reverseMortgage/{estimateNumber}/altaView":{"get":{"tags":["Reverse Mortgage"],"parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/reverseMortgage/{estimateNumber}/loanEstView":{"get":{"tags":["Reverse Mortgage"],"description":"Get fee results for a reverse mortgage estimate","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/loanEstimateViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/buyersEstimate":{"post":{"tags":["Buyers Estimate"],"description":"Create a new buyers estimate","parameters":[{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postBuyersEstimateRequest"}}}},"responses":{"201":{"description":"Create a new buyers estimate response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/buyersEstimatePostResponseType"},"examples":{"buyersEstimatePostResponseExample":{"$ref":"#/components/examples/buyersEstimatePostResponseExample"}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/buyersEstimate/addresses/saved":{"get":{"tags":["Buyers Estimate"],"description":"Get buyers estimate saved addresses","parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/buyersEstimateAddressesSavedType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/buyersEstimate/{estimateNumber}":{"get":{"tags":["Buyers Estimate"],"description":"Get buyers estimate by estimate number","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/buyersEstimateResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"put":{"tags":["Buyers Estimate"],"description":"Update buyers estimate by estimate number","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/buyersEstimateRequestType"}}},"required":false},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"delete":{"tags":["Buyers Estimate"],"description":"Delete buyers estimate by estimate number","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/buyersEstimate/{estimateNumber}/details":{"get":{"tags":["Buyers Estimate"],"description":"Get buyers estimate details by estimate number","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/buyersEstimateDetailsType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/buyersEstimate/{estimateNumber}/notes":{"get":{"tags":["Buyers Estimate"],"description":"Get Buyers Estimate notes associated by estimateNumber","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/notesType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/buyersEstimate/{estimateNumber}/pdf":{"get":{"tags":["Buyers Estimate"],"description":"Render Buyer's Estimate to a PDF document","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/xTenantId"},{"$ref":"#/components/parameters/email"}],"responses":{"200":{"$ref":"#/components/responses/genericPdf"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/v2/buyersEstimates":{"get":{"tags":["Buyers Estimate"],"description":"Get buyers estimates","parameters":[{"$ref":"#/components/parameters/queryAccountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"Get buyers estimates","content":{"application/json":{"schema":{"$ref":"#/components/schemas/buyersEstimatesResponseType"},"examples":{"v2BuyersEstimatesResponseExample":{"$ref":"#/components/examples/v2BuyersEstimatesResponseExample"}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/buyersEstimate/inputs/property":{"post":{"tags":["Buyers Estimate"],"description":"Get a list of inputs appropriate to a given an address","requestBody":{"content":{"application/json":{"schema":{"additionalProperties":false,"required":["property","selectedAccountId"],"properties":{"selectedAccountId":{"$ref":"#/components/schemas/uuid"},"property":{"$ref":"#/components/schemas/property"}}}}}},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/buyersEstimate/inputs/transaction":{"post":{"tags":["Buyers Estimate"],"description":"Get a list of inputs given certain transaction details","requestBody":{"content":{"application/json":{"schema":{"additionalProperties":false,"required":["transactionType","selectedAccountId","property"],"properties":{"transactionType":{"$ref":"#/components/schemas/transactionType"},"selectedAccountId":{"$ref":"#/components/schemas/uuid"},"property":{"$ref":"#/components/schemas/property"}}}}}},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/v2/sellerNetSheets":{"get":{"tags":["Seller Net Sheet"],"description":"Get all seller net sheets associated with an account","parameters":[{"$ref":"#/components/parameters/queryAccountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sellerNetSheetsResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/v2/quotes":{"get":{"tags":["Title Calc Quote"],"description":"Get all quotes associated with an account","parameters":[{"$ref":"#/components/parameters/queryAccountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/quotesResultType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/v2/reverseMortgages":{"get":{"tags":["Reverse Mortgage"],"description":"Get all reverse mortgages associated with an account","parameters":[{"$ref":"#/components/parameters/queryAccountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc":{"post":{"tags":["Quick Calc"],"description":"Create a new quickCalc","parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/quickCalcByEstmateNumberRequestType"}}},"required":false},"responses":{"201":{"description":"Create a new quickCalc Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/quickCalcPostResponseType"},"examples":{"quickCalcPostResponseExample":{"$ref":"#/components/examples/quickCalcPostResponseExample"}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}":{"get":{"tags":["Quick Calc"],"description":"Obtain quickCalc information","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/quickCalcByEstmateNumberResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"delete":{"tags":["Quick Calc"],"description":"Delete an existing quickCalc","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}/basicView":{"get":{"tags":["Quick Calc"],"description":"Get fee results for a quickCalc","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/basicViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}/cdView":{"get":{"tags":["Quick Calc"],"description":"Get fee results for a quickCalc","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/cdViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}/altaView":{"get":{"tags":["Quick Calc"],"description":"Get fee results for a quickCalc","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/altaViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}/loanEstView":{"get":{"tags":["Quick Calc"],"description":"Get fee results for a quickCalc","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/loanEstimateViewType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}/notes":{"get":{"tags":["Quick Calc"],"description":"Get Quick Calc notes associated by estimateNumber","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/notesType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalc/{estimateNumber}/pdf/{viewType}":{"get":{"tags":["Quick Calc"],"description":"Generate a Quick Calc PDF document","parameters":[{"$ref":"#/components/parameters/pathEstimateNumber"},{"$ref":"#/components/parameters/pathViewType"},{"$ref":"#/components/parameters/xTenantId"},{"$ref":"#/components/parameters/email"}],"responses":{"200":{"$ref":"#/components/responses/genericPdf"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/quickCalcs":{"get":{"tags":["Quick Calc"],"parameters":[{"$ref":"#/components/parameters/queryAccountId"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/quickCalcsResponseType"}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/tierConfig/tiers":{"get":{"tags":["Tier Config"],"parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/tierConfig/tier":{"post":{"tags":["Tier Config"],"parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/tierConfigRequestType"}}},"required":false},"responses":{"201":{"description":"Create a tier config","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Created"}}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/tierConfig/tier/{tierConfigurationUuid}":{"get":{"tags":["Tier Config"],"parameters":[{"$ref":"#/components/parameters/pathTierConfigurationUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"put":{"tags":["Tier Config"],"parameters":[{"$ref":"#/components/parameters/pathTierConfigurationUuid"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object"}}},"required":false},"responses":{"201":{"$ref":"#/components/responses/generic201"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"delete":{"tags":["Tier Config"],"parameters":[{"$ref":"#/components/parameters/pathTierConfigurationUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"patch":{"tags":["Tier Config"],"parameters":[{"$ref":"#/components/parameters/pathTierConfigurationUuid"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object"}}},"required":false},"responses":{"201":{"$ref":"#/components/responses/generic201"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/pricingTiers":{"get":{"tags":["Pricing Tier"],"parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"Get pricing tiers by account uuid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pricingTiersResponseType"},"examples":{"pricingTiersResponseExample":{"$ref":"#/components/examples/pricingTiersResponseExample"}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/pricingTier":{"post":{"tags":["Pricing Tier"],"parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/pricingTierRequestType"}}},"required":false},"responses":{"201":{"description":"Pricing Tier Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pricingTierPostResponseType"},"examples":{"pricingTierPostResponseExample":{"$ref":"#/components/examples/pricingTierPostResponseExample"}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/pricingTier/{pricingTierUuid}":{"get":{"tags":["Pricing Tier"],"parameters":[{"$ref":"#/components/parameters/pathPricingTierUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"Get pricing tier by uuid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pricingTierByIdResponseType"},"examples":{"pricingTierByIdResponseExample":{"$ref":"#/components/examples/pricingTierByIdResponseExample"}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"put":{"tags":["Pricing Tier"],"parameters":[{"$ref":"#/components/parameters/pathPricingTierUuid"},{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/pricingTierRequestType"}}},"required":false},"responses":{"201":{"$ref":"#/components/responses/generic201"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"delete":{"tags":["Pricing Tier"],"parameters":[{"$ref":"#/components/parameters/pathPricingTierUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"patch":{"tags":["Pricing Tier"],"parameters":[{"$ref":"#/components/parameters/pathPricingTierUuid"},{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{}}},"required":false},"responses":{"201":{"$ref":"#/components/responses/generic201"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/activityLog/accountTierConfig":{"get":{"tags":["Activity Log"],"parameters":[{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"post":{"tags":["Activity Log"],"parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/activityLogAccountTierRequestType"}}},"required":false},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/user/accountTier":{"get":{"tags":["User"],"parameters":[{"$ref":"#/components/parameters/userId"}],"responses":{"200":{"description":"Get an account tier for a user","content":{"application/json":{"schema":{"type":"object","properties":{"accountTierConfigurationUuid":{"type":"string","example":"100bdf8e-0933-4062-a32c-a6175c120dd3"}}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}},"put":{"tags":["User"],"parameters":[{"$ref":"#/components/parameters/userId"},{"$ref":"#/components/parameters/accountTierUuid"},{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/user/transaction/products":{"get":{"tags":["User"],"parameters":[{"$ref":"#/components/parameters/state"},{"$ref":"#/components/parameters/userUuid"},{"$ref":"#/components/parameters/transactionType"}],"responses":{"200":{"description":"Get transaction products for a user","content":{"application/json":{"examples":{"userTransactionProductsResponseExample":{"$ref":"#/components/examples/userTransactionProductsResponseExample"}},"schema":{"type":"object","properties":{"currentPolicyConfiguration":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"productName":{"type":"string"}}}},"ownersPolicyTypes":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"productName":{"type":"string"}}}},"loanPolicyTypes":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"productName":{"type":"string"}}}}}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/endorsements":{"get":{"tags":["Endorsements"],"parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/transactionType"},{"$ref":"#/components/parameters/state"}],"responses":{"200":{"description":"Get available endorsements","content":{"application/json":{"examples":{"endorsementsResponseExample":{"$ref":"#/components/examples/endorsementsResponseExample"}},"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"preSelect":{"type":"boolean"},"displayName":{"type":"string"}}}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/ratesValidation/validateRates":{"post":{"tags":["Rates Validation"],"parameters":[{"$ref":"#/components/parameters/accountUuid"},{"$ref":"#/components/parameters/accountTierUuid"},{"$ref":"#/components/parameters/xTenantId"},{"$ref":"#/components/parameters/changesMade"}],"responses":{"200":{"$ref":"#/components/responses/generic200"}}}},"/ratesValidation/validations":{"get":{"tags":["Rates Validation"],"parameters":[{"$ref":"#/components/parameters/xTenantId"}],"responses":{"200":{"description":"Validate rates","content":{"application/json":{"examples":{"ratesValidationValidateResponseExample":{"$ref":"#/components/examples/ratesValidationValidateResponseExample"}},"schema":{"type":"array","items":{"type":"object","properties":{"tierUuid":{"type":"string"},"tierName":{"type":"string"},"createdOn":{"type":"string"},"updatedOn":{"type":"string"},"validatedOn":{"type":"string"},"updatedBy":{"type":"string"},"validated":{"type":"boolean"}}}}}}},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"500":{"$ref":"#/components/responses/generic500"}}}},"/prorations/taxSettings":{"post":{"tags":["Prorations"],"parameters":[{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{}}}},"responses":{"200":{"$ref":"#/components/responses/generic200"},"500":{"$ref":"#/components/responses/generic500"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"404":{"$ref":"#/components/responses/generic404"}}}},"/prorations/calc":{"post":{"tags":["Prorations"],"parameters":[{"$ref":"#/components/parameters/xTenantId"}],"requestBody":{"content":{"application/json":{"schema":{}}}},"responses":{"200":{"$ref":"#/components/responses/generic200"},"400":{"$ref":"#/components/responses/generic400"},"401":{"$ref":"#/components/responses/generic401"},"403":{"$ref":"#/components/responses/generic403"},"404":{"$ref":"#/components/responses/generic404"},"500":{"$ref":"#/components/responses/generic500"}}}}},"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"numberNullable":{"description":"A nullable number value","type":"number","nullable":true},"arrayOfObjectsNullable":{"description":"A value than can be either a generic array or null","type":"array","items":{},"nullable":true},"errorType":{"required":["error","errorId","errorType"],"type":"object","properties":{"messages":{"type":"array","items":{"type":"object","properties":{"level":{"type":"string","example":"ERROR"},"type":{"type":"string","example":"Error Type Here"},"details":{"type":"string","example":"HTTP request failed"},"diagnostics":{"type":"string","example":"Error Info Here"}}}},"trail":{"type":"string","example":"API Path Here"}}},"currency":{"description":"A US dollar amount in minimum 1 cent increments","type":"number","multipleOf":0.01},"currencyNullable":{"description":"A US dollar amount in minimum 1 cent increments which can also be null","type":"number","multipleOf":0.01,"nullable":true},"localDate":{"description":"Local Date in ISO 8601 format YYYY-MM-DD","type":"string","pattern":"^(\\d{4})-([0]?[1-9]|[1][0-2])-([0]?[1-9]|[1-2]\\d|[3][0-1])$","example":"2022-12-31"},"state":{"description":"2 letter US state abbreviation","type":"string","enum":["AL","AK","AZ","AR","CA","CO","CT","DE","FL","GA","HI","ID","IL","IN","IA","KS","KY","LA","ME","MD","MA","MI","MN","MS","MO","MT","NE","NV","NH","NJ","NM","NY","NC","ND","OH","OK","OR","PA","RI","SC","SD","TN","TX","UT","VT","VA","WA","WV","WI","WY","DC","MH","GU","AS","CM","PW","PR","TT","VI"]},"uuid":{"description":"Universal Unique ID used as a specific record reference","type":"string","pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"},"zipCode":{"description":"5 digit US Postal Zip code.  Represented by a string to include prepended zeros.","type":"string","pattern":"^\\d{5}$","example":"90210"},"metadata":{"type":"object"},"address":{"type":"object","additionalProperties":false,"required":["city","state","zip","county"],"properties":{"line1":{"type":"string"},"line2":{"type":"string","nullable":true},"city":{"type":"string"},"state":{"$ref":"#/components/schemas/state"},"zip":{"$ref":"#/components/schemas/zipCode"},"county":{"type":"string"}}},"split":{"description":"A buyer/seller split","type":"object","required":["buyer","seller"],"properties":{"buyer":{"$ref":"#/components/schemas/currency"},"seller":{"$ref":"#/components/schemas/currency"},"other":{"$ref":"#/components/schemas/currency"}}},"borrowerSellerSplit":{"description":"Similar to a buyer, seller split only instead for borrowers","required":["borrower","seller","other"],"type":"object","properties":{"borrower":{"$ref":"#/components/schemas/currency"},"seller":{"$ref":"#/components/schemas/currency"},"other":{"$ref":"#/components/schemas/currency"}}},"creditDebitQuad":{"properties":{"buyerDebit":{"$ref":"#/components/schemas/currencyNullable"},"buyerCredit":{"$ref":"#/components/schemas/currencyNullable"},"sellerDebit":{"$ref":"#/components/schemas/currencyNullable"},"sellerCredit":{"$ref":"#/components/schemas/currencyNullable"}}},"prorationType":{"type":"string","enum":["tax","hoa"]},"quoteRequestType":{"title":"Quote Request Type","required":["serviceQuotesRequested","transactionFile"],"type":"object","properties":{"transactionFile":{"$ref":"#/components/schemas/transactionFile"},"serviceQuotesRequested":{"$ref":"#/components/schemas/serviceQuotesType"}}},"quoteResponseType":{"required":["associatedServiceQuotes","quoteInfo"],"type":"object","properties":{"quoteInfo":{"required":["property","selectedAccountId","transactionFileType"],"type":"object","properties":{"selectedAccountId":{"$ref":"#/components/schemas/uuid"},"transactionFileCreated":{"$ref":"#/components/schemas/localDate"},"transactionFileType":{"type":"string"},"property":{"$ref":"#/components/schemas/property"},"loanInfo":{"$ref":"#/components/schemas/loanInfo"}}},"quoteNumber":{"type":"string"},"quoteAudit":{"type":"object","properties":{"createdOn":{"$ref":"#/components/schemas/auditDetails"},"updatedOn":{"$ref":"#/components/schemas/auditDetails"},"voidedOn":{"$ref":"#/components/schemas/auditDetails"}}},"associatedServiceQuotes":{"$ref":"#/components/schemas/serviceQuotesResponseType"},"disclaimer":{"type":"string","nullable":true}}},"basicViewType":{"type":"array","items":{"type":"object","properties":{"header":{"type":"string"},"group":{"type":"string"},"ordinal":{"$ref":"#/components/schemas/currency"},"lineItems":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"amount":{"$ref":"#/components/schemas/split"}}}},"sectionTotal":{"$ref":"#/components/schemas/split"}}}},"cdViewType":{"type":"array","items":{"type":"object","properties":{"header":{"type":"string"},"sectionTotal":{"$ref":"#/components/schemas/split"},"lineItems":{"type":"array","items":{"type":"object","properties":{"description":{"type":"string"},"amount":{"$ref":"#/components/schemas/split"}}}}}}},"altaViewType":{"type":"array","items":{"type":"object","properties":{"header":{"type":"string"},"lineItems":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"amount":{"$ref":"#/components/schemas/creditDebitQuad"}}}},"sectionTotal":{"$ref":"#/components/schemas/creditDebitQuad"}}}},"loanEstimateViewType":{"type":"array","items":{"required":["lineItems","sectionTotal"],"type":"object","properties":{"header":{"type":"string"},"totalHeader":{"type":"string"},"lineItems":{"type":"array","items":{"required":["amount","description"],"type":"object","properties":{"description":{"type":"string"},"amount":{"$ref":"#/components/schemas/currency"}}}},"sectionTotal":{"$ref":"#/components/schemas/currency"}}}},"quoteStatusType":{"required":["quoteNumber","status"],"type":"object","properties":{"quoteNumber":{"type":"string"},"status":{"type":"string","enum":["PENDING","DATA REQUIRED","COMPLETED","VOIDED"]}}},"quotesResultType":{"required":["metadata","quotes"],"type":"object","properties":{"metadata":{"required":["count","endIndex","limit","offset","page","pages","startIndex"],"type":"object","properties":{"count":{"type":"number"},"limit":{"type":"number"},"page":{"type":"number"},"pages":{"type":"number"},"startIndex":{"type":"number"},"endIndex":{"type":"number"},"offset":{"type":"number"}}},"quotes":{"type":"array","items":{"required":["account","address","createdBy","createdOn","image","quoteNumber"],"type":"object","properties":{"quoteNumber":{"type":"string"},"createdOn":{"type":"string"},"createdBy":{"type":"string"},"account":{"type":"string"},"address":{"type":"string"},"image":{"type":"string"},"transactionFileType":{"type":"string"},"containsSearchString":{"type":"boolean"}}}}}},"propertyInfoStateType":{"type":"array","items":{"required":["city","county","fips","state","zipCodes"],"type":"object","properties":{"state":{"$ref":"#/components/schemas/state"},"county":{"type":"string"},"fips":{"type":"string"},"city":{"type":"string"},"zipCodes":{"type":"array","items":{"$ref":"#/components/schemas/zipCode"}}}}},"transactionTypeType":{"type":"array","items":{"required":["id","transactionType"],"type":"object","properties":{"id":{"type":"string"},"category":{"type":"string"},"transactionType":{"type":"string"}}}},"stateList":{"type":"array","items":{"$ref":"#/components/schemas/state"}},"tierTypesType":{"type":"array","items":{"required":["createdOn","id","isActive","name","notes","state","transactionTypes"],"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"notes":{"type":"string","nullable":true},"transactionTypes":{"$ref":"#/components/schemas/arrayOfObjectsNullable"},"state":{"$ref":"#/components/schemas/state"},"createdOn":{"$ref":"#/components/schemas/localDate"},"isActive":{"type":"boolean"}}}},"underwriterProductsType":{"type":"array","items":{"required":["name","productName","productType","statesAvailable","uuid"],"type":"object","properties":{"name":{"type":"string"},"productName":{"type":"string"},"uuid":{"type":"string"},"productType":{"type":"string"},"statesAvailable":{"type":"array","items":{"$ref":"#/components/schemas/state"}}}}},"sellerNetSheetsResponseType":{"required":["metadata","netsheets"],"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/metadataType"},"netsheets":{"type":"array","items":{"required":["addressString","createdBy","createdOn","preparedFor","sheetNumber"],"type":"object","properties":{"addressString":{"type":"string"},"sheetNumber":{"type":"string"},"preparedFor":{"type":"string"},"createdOn":{"$ref":"#/components/schemas/localDate"},"createdBy":{"type":"string"}}}}}},"sellerNetSheetRequestType":{"required":["accountId","createdOn","currentLoanPayoff","property"],"type":"object","properties":{"accountId":{"$ref":"#/components/schemas/uuid"},"createdOn":{"$ref":"#/components/schemas/localDate"},"currentLoanPayoff":{"$ref":"#/components/schemas/currency"},"property":{"$ref":"#/components/schemas/property"},"preparedFor":{"type":"string"}}},"savedAddressesResponseType":{"type":"array","items":{"required":["addressString","property"],"type":"object","properties":{"addressString":{"type":"string"},"property":{"$ref":"#/components/schemas/property"}}}},"sellerNetSheetScenariosResponseType":{"required":["scenarios","sellerNetSheetData"],"type":"object","properties":{"sellerNetSheetData":{"$ref":"#/components/schemas/sellerNetSheetRequestType"},"scenarios":{"type":"array","items":{"$ref":"#/components/schemas/scenarioResponseType"}}}},"scenarioRequestType":{"required":["transactionFileType","scenarioName","loanInfo","endorsements"],"type":"object","properties":{"transactionFileType":{"$ref":"#/components/schemas/transactionType"},"scenarioName":{"type":"string"},"estimatedClosingDate":{"$ref":"#/components/schemas/localDate"},"loanInfo":{"$ref":"#/components/schemas/loanInfo"},"endorsements":{"$ref":"#/components/schemas/endorsements"},"sellerPaysAllTitle":{"type":"boolean"},"buyerPaysAllTitle":{"type":"boolean"},"useEnhancedRate":{"type":"boolean"},"reissue":{"type":"boolean"},"prorations":{"type":"array","items":{"$ref":"#/components/schemas/proration"}},"metadata":{"$ref":"#/components/schemas/metadata"},"commissionTaxRate":{"type":"number","nullable":true},"policyTypeOverrides":{"type":"object"}}},"scenarioUpdateType":{"required":["transactionFileType","scenarioName","loanInfo","endorsements","fees"],"type":"object","properties":{"scenarioId":{"$ref":"#/components/schemas/uuid"},"transactionFileType":{"$ref":"#/components/schemas/transactionType"},"scenarioName":{"type":"string"},"estimatedClosingDate":{"$ref":"#/components/schemas/localDate"},"loanInfo":{"$ref":"#/components/schemas/loanInfo"},"endorsements":{"$ref":"#/components/schemas/endorsements"},"sellerPaysAllTitle":{"type":"boolean"},"buyerPaysAllTitle":{"type":"boolean"},"useEnhancedRate":{"type":"boolean"},"reissue":{"type":"boolean"},"userModified":{"type":"object"},"prorations":{"type":"array","items":{"$ref":"#/components/schemas/proration"}},"commissionTaxRate":{"type":"number","nullable":true},"policyTypeOverrides":{"type":"object"},"fees":{"type":"array","items":{"required":["name","amount","type","split"],"type":"object","properties":{"name":{"type":"string"},"amount":{"$ref":"#/components/schemas/currency"},"type":{"$ref":"#/components/schemas/sellerNetSheetFeeType"},"split":{"$ref":"#/components/schemas/split"}}}},"notes":{"type":"array","nullable":true,"items":{"type":"object"}},"scenarioSummary":{"type":"object"},"transactionSummary":{"type":"object"},"commissionsSummary":{"type":"object"}}},"scenarioResponseType":{"required":["commissionsSummary","fees","loanInfo","scenarioId","scenarioName","scenarioSummary","sellerNetSheetNumber","transactionSummary"],"type":"object","properties":{"sellerNetSheetNumber":{"type":"string"},"scenarioName":{"type":"string"},"scenarioId":{"type":"string"},"transactionFileType":{"type":"string"},"scenarioSummary":{"required":["salePrice","expensesAndLoanPayoff","sellerTakeHomeMoney","expensesBreakdown"],"type":"object","properties":{"salePrice":{"$ref":"#/components/schemas/currency"},"expensesAndLoanPayoff":{"$ref":"#/components/schemas/currency"},"sellerTakeHomeMoney":{"$ref":"#/components/schemas/currency"},"expensesBreakdown":{"required":["loanPayoff","titleAndSettlement","otherExpenses","commissions"],"type":"object","properties":{"loanPayoff":{"$ref":"#/components/schemas/currency"},"titleAndSettlement":{"$ref":"#/components/schemas/currency"},"otherExpenses":{"$ref":"#/components/schemas/currency"},"commissions":{"$ref":"#/components/schemas/currency"}}}}},"transactionSummary":{"required":["borrowerLoanAmount","downPayment","loanType","transactionType"],"type":"object","properties":{"transactionType":{"type":"string"},"downPayment":{"$ref":"#/components/schemas/currency"},"borrowerLoanAmount":{"$ref":"#/components/schemas/currency"},"loanType":{"type":"string"}}},"commissionsSummary":{"required":["buyerAgentCommission","sellerAgentCommission"],"type":"object","properties":{"buyerAgentCommission":{"$ref":"#/components/schemas/currency"},"sellerAgentCommission":{"$ref":"#/components/schemas/currency"}}},"loanInfo":{"$ref":"#/components/schemas/loanInfo"},"fees":{"type":"array","items":{"required":["amount","name","split","type"],"type":"object","properties":{"name":{"type":"string"},"amount":{"$ref":"#/components/schemas/currency"},"type":{"$ref":"#/components/schemas/sellerNetSheetFeeType"},"split":{"$ref":"#/components/schemas/split"}}}}}},"reverseMortgageRequestType":{"required":["endorsements","isHECM","loanAmount","maximumClaimAmount","property"],"type":"object","properties":{"selectedAccountId":{"$ref":"#/components/schemas/uuid"},"property":{"$ref":"#/components/schemas/address"},"maximumClaimAmount":{"$ref":"#/components/schemas/numberNullable"},"loanAmount":{"$ref":"#/components/schemas/numberNullable"},"isHECM":{"type":"boolean"},"endorsements":{"$ref":"#/components/schemas/endorsementsType"}}},"estimateStatusType":{"required":["estimateNumber","status"],"type":"object","properties":{"estimateNumber":{"type":"string"},"status":{"type":"string","enum":["PENDING","COMPLETED","VOIDED"]}}},"reverseMortgageResponseType":{"required":["estimateInfo","estimateNumber"],"type":"object","properties":{"estimateInfo":{"required":["endorsements","isHECM","loanAmount","maximumClaimAmount","property","selectedAccountId","transactionFileCreated","transactionFileType"],"type":"object","properties":{"property":{"$ref":"#/components/schemas/property"},"selectedAccountId":{"$ref":"#/components/schemas/uuid"},"transactionFileType":{"type":"string"},"transactionFileCreated":{"$ref":"#/components/schemas/localDate"},"maximumClaimAmount":{"$ref":"#/components/schemas/currency"},"loanAmount":{"$ref":"#/components/schemas/currency"},"isHECM":{"type":"boolean"},"endorsements":{"$ref":"#/components/schemas/endorsementsType"}}},"audit":{"type":"object","properties":{"createdOn":{"$ref":"#/components/schemas/auditDetails"},"updatedOn":{"$ref":"#/components/schemas/auditDetails"},"voidedOn":{"$ref":"#/components/schemas/auditDetails"}}},"estimateNumber":{"type":"string"}}},"reverseMortgageBasicViewType":{"type":"array","items":{"required":["header","group","ordinal","lineItems","sectionTotal"],"type":"object","properties":{"header":{"type":"string"},"group":{"type":"string"},"ordinal":{"$ref":"#/components/schemas/currency"},"lineItems":{"type":"array","items":{"required":["name","amount"],"type":"object","properties":{"name":{"type":"string"},"amount":{"$ref":"#/components/schemas/borrowerSellerSplit"}}}},"sectionTotal":{"$ref":"#/components/schemas/borrowerSellerSplit"}}}},"reverseMortgageCdViewType":{"type":"array","items":{"required":["header","lineItems","sectionTotal"],"type":"object","properties":{"header":{"type":"string"},"lineItems":{"type":"array","items":{"required":["amount","description","split"],"type":"object","properties":{"amount":{"$ref":"#/components/schemas/currency"},"description":{"type":"string"},"split":{"$ref":"#/components/schemas/borrowerSellerSplit"}}}},"sectionTotal":{"$ref":"#/components/schemas/borrowerSellerSplit"}}}},"buyersEstimateAddressesSavedType":{"type":"array","items":{"required":["addressString","property"],"type":"object","properties":{"addressString":{"type":"string"},"property":{"$ref":"#/components/schemas/property"}}}},"buyersEstimateResponseType":{"required":["estimateFees","transactionFile"],"type":"object","properties":{"transactionFile":{"$ref":"#/components/schemas/transactionFile"},"estimateFees":{"required":["title","recording","otherCosts","monthlyCosts"],"type":"object","properties":{"title":{"$ref":"#/components/schemas/feesType"},"recording":{"$ref":"#/components/schemas/feesType"},"otherCosts":{"$ref":"#/components/schemas/feesType"},"monthlyCosts":{"$ref":"#/components/schemas/feesType"}}}}},"buyersEstimateRequestType":{"required":["title","monthlyCosts"],"type":"object","properties":{"title":{"$ref":"#/components/schemas/feesType"},"otherCosts":{"$ref":"#/components/schemas/feesType"},"monthlyCosts":{"$ref":"#/components/schemas/feesType"}}},"buyersEstimateDetailsType":{"required":["address","breakdown","closingCosts","disclaimer","monthlyCosts","monthlyTotal","preparedFor"],"type":"object","properties":{"address":{"$ref":"#/components/schemas/address"},"preparedFor":{"type":"string","nullable":true},"disclaimer":{"type":"string","nullable":true},"closingCosts":{"required":["downPayment","dueAtClosing","otherCosts"],"type":"object","properties":{"downPayment":{"$ref":"#/components/schemas/currency"},"dueAtClosing":{"$ref":"#/components/schemas/currency"},"otherCosts":{"$ref":"#/components/schemas/currency"}}},"monthlyCosts":{"$ref":"#/components/schemas/beDetailsfeesType"},"monthlyTotal":{"$ref":"#/components/schemas/currency"},"breakdown":{"required":["downpayment","downPaymentPercentage","titleCosts","recording","other"],"type":"object","properties":{"downpayment":{"$ref":"#/components/schemas/currency"},"downPaymentPercentage":{"$ref":"#/components/schemas/currency"},"titleCosts":{"$ref":"#/components/schemas/beDetailsfeesType"},"recording":{"$ref":"#/components/schemas/beDetailsfeesType"},"other":{"$ref":"#/components/schemas/beDetailsfeesType"}}}}},"buyersEstimatePostResponseType":{"type":"object","properties":{"estimateNumber":{"type":"string"},"recording":{"type":"object","properties":{"fees":{"$ref":"#/components/schemas/feesType"}}},"title":{"type":"object","properties":{"fees":{"$ref":"#/components/schemas/feesType"}}},"monthlyCosts":{"type":"object","properties":{"fees":{"$ref":"#/components/schemas/feesType"}}},"loanCharges":{"type":"object","properties":{"fees":{"$ref":"#/components/schemas/feesType"}}},"lender":{"type":"object","properties":{"fees":{"$ref":"#/components/schemas/feesType"}}},"prorations":{"type":"object","properties":{"fees":{"$ref":"#/components/schemas/feesType"}}},"earnest":{"type":"object","properties":{"fees":{"$ref":"#/components/schemas/feesType"}}},"notes":{"type":"array","items":{"type":"string"}},"disclaimer":{"type":"string"},"debug":{"type":"array","items":{"type":"string"}}}},"notesType":{"required":["notes"],"type":"object","properties":{"notes":{"type":"array","items":{"type":"string"}}}},"quickCalcByEstmateNumberRequestType":{"required":["transactionFile"],"type":"object","properties":{"transactionFile":{"$ref":"#/components/schemas/transactionFile"}}},"quickCalcByEstmateNumberResponseType":{"required":["estimateInfo","estimateResults"],"type":"object","properties":{"estimateInfo":{"required":["transactionFile"],"type":"object","properties":{"transactionFile":{"$ref":"#/components/schemas/transactionFile"}}},"estimateResults":{"type":"array","items":{"required":["group","lineItems","type","vendor"],"type":"object","properties":{"type":{"type":"string"},"group":{"type":"string"},"vendor":{"type":"string"},"requestId":{"type":"string"},"vendorUuid":{"type":"string"},"lineItems":{"type":"array","items":{"required":["amount","name","split"],"type":"object","properties":{"name":{"type":"string"},"split":{"$ref":"#/components/schemas/split"},"amount":{"$ref":"#/components/schemas/currency"},"defaultPaidBy":{"type":"string"}}}},"notes":{"type":"array","items":{"type":"string","nullable":true}},"vendorQuoteData":{"type":"object","properties":{}}}}}}},"quickCalcsResponseType":{"required":["estimates","metadata"],"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/metadataType"},"estimates":{"type":"array","items":{"required":["addressString","estimateNumber","createdOn","createdBy"],"type":"object","properties":{"addressString":{"type":"string","nullable":true},"estimateNumber":{"type":"string"},"createdOn":{"type":"string"},"createdBy":{"type":"string"}}}}}},"tierConfigRequestType":{"required":["codes","pricingTierUuid","feeConfiguration"],"type":"object","properties":{"name":{"type":"string"},"codes":{"type":"array","items":{"required":["message"],"type":"object","properties":{"name":{"type":"string"},"message":{"type":"string"}}}},"pricingTierUuid":{"type":"string"},"feeConfiguration":{"type":"array","items":{"required":["stateAbbreviation"],"type":"object","properties":{"cash":{"$ref":"#/components/schemas/feeConfigurationType"},"purchase":{"$ref":"#/components/schemas/feeConfigurationType"},"refinance":{"$ref":"#/components/schemas/feeConfigurationType"},"stateAbbreviation":{"$ref":"#/components/schemas/state"}}}}}},"pricingTierRequestType":{"type":"array","items":{"required":["fees","licenseNumber","state"],"type":"object","properties":{"fees":{"type":"array","items":{"required":["amount","name","split","transactionTypes","type"],"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"split":{"required":["buyer","seller"],"type":"object","properties":{"buyer":{"$ref":"#/components/schemas/currency"},"seller":{"$ref":"#/components/schemas/currency"}}},"amount":{"$ref":"#/components/schemas/currency"},"transactionTypes":{"type":"array","items":{"type":"string"}}}}},"state":{"$ref":"#/components/schemas/state"},"licenseNumber":{"type":"number"}}}},"activityLogAccountTierRequestType":{"required":["data","description"],"type":"object","properties":{"description":{"type":"string"},"data":{"type":"object","properties":{}}}},"serviceQuotesType":{"type":"array","items":{"required":["type","vendor"],"type":"object","properties":{"type":{"type":"string"},"vendor":{"type":"number"}}}},"property":{"required":["address"],"type":"object","additionalProperties":false,"properties":{"address":{"$ref":"#/components/schemas/address"},"metadata":{"$ref":"#/components/schemas/metadata"}}},"serviceQuotesResponseType":{"type":"array","items":{"required":["serviceQuoteId","serviceType","status","vendorName","vendorUUID"],"type":"object","properties":{"serviceQuoteId":{"type":"number"},"vendorUUID":{"type":"string"},"vendorName":{"type":"string"},"serviceType":{"type":"string"},"status":{"type":"string","enum":["DATA REQUIRED","PENDING","COMPLETED","VOIDED"]}}}},"auditDetails":{"required":["date","firstName","lastName"],"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"date":{"type":"string"}}},"metadataType":{"required":["count","filter","limit","page","pages"],"type":"object","properties":{"count":{"type":"number"},"limit":{"type":"number"},"page":{"type":"number"},"pages":{"type":"number"},"filter":{"type":"string","nullable":true}}},"loanInfo":{"required":["loanAmount","salesAmount","downPayment","interestRate"],"type":"object","properties":{"loanType":{"type":"string","enum":["","N/A","Conventional","FHA","FHA 203K","USDA","VA"]},"loanAmount":{"$ref":"#/components/schemas/currency"},"salesAmount":{"$ref":"#/components/schemas/currency"},"downPayment":{"$ref":"#/components/schemas/currency"},"interestRate":{"multipleOf":1.0E-5,"type":"number"},"loanLength":{"type":"integer","minimum":0}}},"sellerNetSheetFeeType":{"type":"string","enum":["Underwriter","Settlement","Recording","Commission","Proration","Other"]},"endorsementsType":{"type":"object"},"feesType":{"required":["fees"],"type":"object","properties":{"fees":{"type":"array","items":{"required":["amount","name"],"type":"object","properties":{"name":{"type":"string"},"amount":{"$ref":"#/components/schemas/currency"},"display":{"type":"boolean"}}}}}},"beDetailsfeesType":{"type":"array","items":{"required":["amount","name"],"type":"object","properties":{"name":{"type":"string"},"amount":{"$ref":"#/components/schemas/currency"}}}},"feeConfigurationType":{"required":["includesCustomaryEndorsements","limit","recordingServiceVendorId","settlementServiceVendorId","underwriter","underwriterId","underwriterServiceVendorId"],"type":"object","properties":{"limit":{"type":"string","nullable":true},"policyTypes":{"type":"array","items":{"required":["productName","type"],"type":"object","properties":{"type":{"type":"string"},"productName":{"type":"string","nullable":true}}}},"underwriter":{"type":"string"},"underwriterId":{"type":"string","nullable":true},"recordingServiceVendorId":{"type":"number"},"settlementServiceVendorId":{"type":"number"},"underwriterServiceVendorId":{"type":"number"},"includesCustomaryEndorsements":{"type":"boolean"}}},"proration":{"type":"object","required":["name","type","amount","startDate","endDate","buyerWillPay"],"additionalProperties":false,"properties":{"name":{"type":"string"},"type":{"$ref":"#/components/schemas/prorationType"},"amount":{"$ref":"#/components/schemas/currency"},"startDate":{"$ref":"#/components/schemas/localDate"},"endDate":{"$ref":"#/components/schemas/localDate"},"buyerWillPay":{"type":"boolean"}}},"endorsements":{"type":"object","additionalProperties":{"type":"boolean"},"example":{"ALTA_7":false,"ALTA_8.1":true,"ALTA_9":true,"ALTA_22.1":false,"ALTA_116.1":false,"ALTA_5":true,"ALTA_4":false,"ALTA_6.2":false}},"policyTypeOverrides":{"type":"object","properties":{"loanPolicyProduct":{"type":"string","nullable":true},"ownersPolicyProduct":{"type":"string","nullable":true}}},"transactionType":{"type":"string","enum":["PURCHASE W/ LOAN","CASH","REFINANCE","REVERSE MORTGAGE"]},"transactionFile":{"type":"object","additionalProperties":false,"required":["transactionFileType","selectedAccountId","property","loanInfo","reissue","endorsements","useEnhancedRate","policyTypeOverrides"],"properties":{"transactionFileType":{"$ref":"#/components/schemas/transactionType"},"transactionFileCreated":{"$ref":"#/components/schemas/localDate"},"selectedAccountId":{"$ref":"#/components/schemas/uuid"},"preparedFor":{"type":"string"},"estimatedClosingDate":{"$ref":"#/components/schemas/localDate"},"property":{"$ref":"#/components/schemas/property"},"loanInfo":{"$ref":"#/components/schemas/loanInfo"},"currentLoanPayoff":{"$ref":"#/components/schemas/currency"},"earnestMoney":{"$ref":"#/components/schemas/currency"},"reissue":{"type":"boolean"},"prorations":{"type":"array","items":{"$ref":"#/components/schemas/proration"}},"endorsements":{"$ref":"#/components/schemas/endorsements"},"useEnhancedRate":{"type":"boolean"},"policyTypeOverrides":{"$ref":"#/components/schemas/policyTypeOverrides"},"priorPolicyAmount":{"$ref":"#/components/schemas/currencyNullable"},"metadata":{"$ref":"#/components/schemas/metadata"},"isConvertibleToFullApp":{"type":"boolean"},"buyerPaysAllTitle":{"description":"Used in title calc","type":"boolean"},"sellerPaysAllTitle":{"description":"Used in title calc","type":"boolean"}}},"postBuyersEstimateRequest":{"type":"object","required":["transactionFile"],"additionalProperties":false,"properties":{"transactionFile":{"$ref":"#/components/schemas/transactionFile"}}},"postQuoteResponse":{"type":"object","properties":{"quoteInfo":{"type":"string","example":"https://apps.tavros.24sevenfees.com/ui-experience-api/api/quote/IL-1054"},"quoteNumber":{"type":"string","example":"IL-1054"},"message":{"type":"string","example":"Created"}}},"quoteResponseResultsType":{"example":null,"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"vendor":{"type":"string"},"lineItems":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"split":{"type":"object","properties":{"buyer":{"type":"number"},"seller":{"type":"number"}}},"amount":{"type":"number"}}}}}}},"notesResponseType":{"type":"object","properties":{"notes":{"type":"array","items":{"type":"string"}}}},"propertyInfoResponseType":{"type":"array","items":{"type":"object","properties":{"state":{"type":"string"},"county":{"type":"string"},"fips":{"type":"string"},"zipCodes":{"type":"array","items":{"type":"string"}},"city":{"type":"string"}}}},"configureAccountResponseType":{"type":"object","properties":{"uuid":{"type":"string"},"name":{"type":"string"},"accountImage":{"type":"string"},"accountSplash":{"type":"string"},"id":{"type":"number"}}},"configureUnderwriterListResponseType":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"uuid":{"type":"string"},"image":{"type":"string"},"isActive":{"type":"number"},"statesAvailable":{"type":"array","items":{"type":"string"}}}}},"sellerNetSheetPostResponseType":{"type":"object","properties":{"sellerNetSheetNumber":{"type":"string"}}},"sellerNetSheetNotesResponseType":{"type":"array","items":{"type":"string"}},"buyersEstimatesResponseType":{"type":"object","properties":{"metadata":{"type":"object","properties":{"count":{"type":"number"},"limit":{"type":"number"},"page":{"type":"number"},"pages":{"type":"number"},"startIndex":{"type":"number"},"endIndex":{"type":"number"},"offset":{"type":"number"}}},"estimates":{"type":"array","items":{"type":"object","properties":{"addressString":{"type":"string"},"estimateNumber":{"type":"string"},"preparedFor":{"type":"string"},"createdOn":{"type":"string"},"createdBy":{"type":"string"}}}}}},"quickCalcPostResponseType":{"type":"object","properties":{"estimateNumber":{"type":"string"},"status":{"type":"string"}}},"pricingTiersResponseType":{"type":"array","items":{"type":"object","properties":{"fee_data":{"type":"array","items":{"type":"object","properties":{"fees":{"$ref":"#/components/schemas/feeConfigurationType"}}}}}}},"pricingTierPostResponseType":{"type":"object","properties":{"message":{"type":"string"},"uuid":{"type":"string"}}},"pricingTierByIdResponseType":{"type":"object","properties":{"fee_data":{"type":"array","items":{"type":"object","properties":{"fees":{"type":"array","items":{"required":["amount","name","split","transactionTypes","type"],"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"split":{"required":["buyer","seller"],"type":"object","properties":{"buyer":{"$ref":"#/components/schemas/currency"},"seller":{"$ref":"#/components/schemas/currency"}}},"amount":{"$ref":"#/components/schemas/currency"},"transactionTypes":{"type":"array","items":{"type":"string"}}}}}}}}}}},"parameters":{"userId":{"name":"userId","in":"header","required":true,"schema":{"type":"string"}},"userUuid":{"name":"userUuid","in":"header","required":true,"schema":{"type":"string"}},"name":{"name":"name","in":"header","required":true,"schema":{"type":"string"}},"accountUuid":{"name":"accountUuid","in":"header","required":true,"description":"Account UUID","schema":{"$ref":"#/components/schemas/uuid"}},"accountTierUuid":{"name":"accountTierUuid","in":"header","required":true,"description":"Account Tier UUID","schema":{"$ref":"#/components/schemas/uuid"}},"transactionType":{"name":"transactionType","in":"header","required":true,"description":"Transaction Type","schema":{"type":"string","enum":["PURCHASE W/ LOAN","CASH","REFINANCE","REVERSE MORTGAGE"]}},"state":{"name":"state","in":"header","required":true,"schema":{"$ref":"#/components/schemas/state"}},"county":{"name":"county","required":true,"in":"header","schema":{"type":"string"}},"zipCode":{"name":"zip","required":true,"in":"header","schema":{"$ref":"#/components/schemas/zipCode"}},"imageUrl":{"name":"imageUrl","in":"header","required":true,"schema":{"type":"string"}},"changesMade":{"name":"changesMade","in":"header","required":true,"schema":{"type":"boolean"}},"xTenantId":{"name":"x-tenant-id","in":"header","required":true,"schema":{"type":"string","pattern":"[A-Za-z0-9-_]+"}},"email":{"name":"email","in":"header","required":false,"schema":{"type":"string"}},"pathQuoteNumber":{"name":"quoteNumber","in":"path","required":true,"schema":{"type":"string"}},"pathViewType":{"name":"viewType","in":"path","required":true,"schema":{"type":"string","enum":["altaView","basicView","loanEstView","cdView"]}},"pathTierUuid":{"name":"tierUuid","in":"path","description":"Tier Configuration UUID","required":true,"schema":{"$ref":"#/components/schemas/uuid"}},"pathPricingTierUuid":{"name":"pricingTierUuid","in":"path","description":"Pricing Tier UUID","required":true,"schema":{"$ref":"#/components/schemas/uuid"}},"pathState":{"name":"state","in":"path","required":true,"schema":{"$ref":"#/components/schemas/state"}},"pathSellerNetSheetNumber":{"name":"sellerNetSheetNumber","in":"path","required":true,"schema":{"type":"string"}},"pathScenarioId":{"name":"scenarioId","in":"path","required":true,"schema":{"type":"string"}},"pathEstimateNumber":{"description":"An estimate number provided by the response of a successful quickCalc post call","name":"estimateNumber","in":"path","required":true,"schema":{"type":"string"},"example":"FL-1155-QC"},"pathTierConfigurationUuid":{"name":"tierConfigurationUuid","in":"path","required":true,"schema":{"$ref":"#/components/schemas/uuid"}},"querySearch":{"name":"search","in":"query","schema":{"type":"string"}},"queryZip":{"name":"zip","in":"query","required":true,"schema":{"type":"number"}},"queryState":{"name":"state","in":"query","required":true,"schema":{"$ref":"#/components/schemas/state"}},"queryAccountUuid":{"name":"accountUuid","required":true,"in":"query","schema":{"$ref":"#/components/schemas/uuid"}},"queryAccountId":{"name":"accountId","in":"query","required":true,"schema":{"$ref":"#/components/schemas/uuid"}},"queryProductType":{"name":"productType","in":"query","required":true,"schema":{"type":"string","enum":["LOAN POLICY","OWNERS POLICY"]}},"queryUnderwriterUuid":{"name":"underwriterUuid","in":"query","required":true,"schema":{"$ref":"#/components/schemas/uuid"}}},"responses":{"genericPdf":{"description":"A PDF file","content":{"application/pdf":{"schema":{"type":"string","format":"binary","example":"%PDF-1.4......"}}}},"generic200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}}}},"generic201":{"description":"Updated","content":{"application/json":{"schema":{"type":"object"}}}},"generic400":{"description":"Bad Request Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorType"}}}},"generic401":{"description":"Unauthorized Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorType"}}}},"generic403":{"description":"Forbidden Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorType"}}}},"generic404":{"description":"Not Found Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorType"}}}},"generic500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorType"}}}}},"examples":{"quoteResultsRecordingFeesExample":{"value":[{"type":"Recording Fees","vendor":"County Calc","lineItems":[{"name":"Transfer Tax Amount -  State (Deed)","type":"Deed","split":{"buyer":0,"seller":300},"amount":300,"defaultPaidBy":"Seller"},{"name":"Transfer Tax Amount - County (Deed)","type":"Deed","split":{"buyer":0,"seller":150},"amount":150,"defaultPaidBy":"Seller"},{"name":"Page Fee (Deed)","type":"Deed","split":{"buyer":98,"seller":0},"amount":98,"defaultPaidBy":"Buyer"},{"name":"Fee for Grantor / Grantee Affidavit (Deed)","type":"Deed","split":{"buyer":2,"seller":0},"amount":2,"defaultPaidBy":"Buyer"},{"name":"Page Fee (Mortgage)","type":"Mortgage","split":{"buyer":98,"seller":0},"amount":98,"defaultPaidBy":"Buyer"}],"vendorQuoteData":{"CD":{"otherCosts":{"referenceNumber":"8.0","taxesAndOtherGovernmentFees":{"total":{"value":"648.00","referenceNumber":"8.1.1"},"recordingFees":{"deed":{"value":"100.00","referenceNumber":"8.2.1"},"mortgage":{"value":"98.00","referenceNumber":"8.2.1"},"sellerPaid":{"atClosing":{"value":"0.00","referenceNumber":"8.2.4"},"beforeClosing":{"value":"0.00","referenceNumber":"8.2.5"}},"borrowerPaid":{"atClosing":{"value":"0.00","referenceNumber":"8.2.2"},"beforeClosing":{"value":"0.00","referenceNumber":"8.2.3"}},"paidByOthers":{"value":"0.00","referenceNumber":"8.2.6"},"referenceNumber":"8.2"},"transferTaxes":{"sellerPaid":{"atClosing":{"value":"0.00","referenceNumber":"8.3.4"},"beforeClosing":{"value":"0.00","referenceNumber":"8.3.5"}},"borrowerPaid":{"atClosing":{"value":"0.00","referenceNumber":"8.3.2"},"beforeClosing":{"value":"0.00","referenceNumber":"8.3.3"}},"jurisdiction":{"value":"450.00","referenceNumber":"8.3.1"},"paidByOthers":{"value":"0.00","referenceNumber":"8.3.6"}},"referenceNumber":"8.1"}},"referenceNumber":"0.1"},"HUD":{"1200":{"title":"Government Recording Fee and Transfer Charges"},"1201":{"title":"Government Recording Charges (from GFE # 7)","value":"198.00"},"1202":{"value":{"Deed":"100.00","Release":"0.00","Mortgage":"98.00"},"paidFromSeller":"0.00","paidFromBorrower":"198.00"},"1203":{"title":"Transfer Taxes (from GFE # 8)","value":"450.00","paidFromSeller":"","paidFromBorrower":""},"1204":{"title":"City/County Tax/Stamps","value":{"Deed":"150.00","Mortgage":"0.00"},"paidFromSeller":"150.00","paidFromBorrower":"0.00"},"1205":{"title":"State tax/stamps ","value":{"Deed":"300.00","Mortgage":"0.00"},"paidFromSeller":"300.00","paidFromBorrower":"0.00"},"1206":{"title":"Miscellaneous","value":"0.00"}},"taxes":{"total":{"totalTaxes":"450.00","recordingFee":"196.00","totalOtherFee":"2.00","totalRecordingFee":"648.00","potentialNonStandardFee":"134.00"},"documentType":{"deed":{"cityTax":"150.00","stateTax":"300.00","taxesFee":"450.00","recordingFee":"98.00","otherFeeValue":"2.00","potentialValue":"55.00","totalRecordingFee":"550.00"},"mortgage":{"cityTax":"0.00","stateTax":"0.00","taxesFee":"0.00","recordingFee":"98.00","otherFeeValue":"0.00","potentialValue":"79.00","totalRecordingFee":"98.00"}}},"jurisdictionDetails":{"zip":"60602","city":"Chicago","link":"http://12.218.239.81/i2/default.","phone":"(312) 603-5050","title":"Cook","address1":"118 North Clark St., Room 230","address2":"","trustState":"No","maritalState":"Yes","mortgageState":"No","isEfileEnabled":"Yes","blanketReleases":"Yes","checksPayableTo":"Cook County Recorder","departmentOffice":"Cook County Recorder","blanketAssignments":"Yes","avgTurntimeRecInfoReceived":11,"recordingInformationAvailable":"Rec Info & Images Available No Charge"}}},{"type":"Settlement Fees","vendor":"Agent Fees","lineItems":[{"name":"Purchase Fee","type":"Bundled Fees","split":{"buyer":695,"seller":595},"amount":1290,"countySpecificApplied":false}]},{"type":"Lender Fees","vendor":"Agent Fees","lineItems":[{"name":"Credit Report Fee","type":"Lender Fees","split":{"buyer":35,"seller":0},"amount":35,"countySpecificApplied":false},{"name":"Processing Fee","type":"Lender Fees","split":{"buyer":495,"seller":0},"amount":495,"countySpecificApplied":false},{"name":"Underwriting Fee","type":"Wire Transfer Fee","split":{"buyer":990,"seller":0},"amount":990,"countySpecificApplied":false},{"name":"Recording Service Fee","type":"Lender Fees","split":{"buyer":15,"seller":0},"amount":15,"countySpecificApplied":false},{"name":"Appraisal Fee","type":"Lender Fees","split":{"buyer":575,"seller":0},"amount":575,"countySpecificApplied":false}]},{"type":"Underwriter Rates","notes":[],"vendor":"Old Republic National Title Insurance Company","lineItems":[{"name":"Old Republic National Title Insurance Company Owners Policy (Basic) Disclosed","type":"OWNERS POLICY","split":{"buyer":0,"other":0,"seller":750},"amount":750,"productName":"","customerOverride":true,"rateCalculationId":"6747835a-a17b-48e5-81b0-4c4676ce59a7","rateEffectiveDate":""},{"name":"Old Republic National Title Insurance Company Loan Policy (Basic)","type":"LOAN POLICY","split":{"buyer":0,"other":0,"seller":1745},"amount":1745,"productName":"","customerOverride":true,"rateCalculationId":"6035ecc0-f9f8-4762-8bfa-a75943b4ad91","rateEffectiveDate":""},{"name":"ARM ENDORSEMENT","type":"ENDORSEMENT","split":{"buyer":0,"other":0,"seller":0},"amount":0,"productName":"","customerOverride":false,"rateCalculationId":"","rateEffectiveDate":""},{"name":"COMPREHENSIVE ENDORSEMENT","type":"ENDORSEMENT","split":{"buyer":0,"other":0,"seller":0},"amount":0,"productName":"","customerOverride":false,"rateCalculationId":"","rateEffectiveDate":""},{"name":"CONDOMINIUM ENDORSEMENT","type":"ENDORSEMENT","split":{"buyer":0,"other":0,"seller":0},"amount":0,"productName":"","customerOverride":false,"rateCalculationId":"","rateEffectiveDate":""},{"name":"EPA ENDORSEMENT","type":"ENDORSEMENT","split":{"buyer":0,"other":0,"seller":0},"amount":0,"productName":"","customerOverride":false,"rateCalculationId":"","rateEffectiveDate":""},{"name":"LOCATION ENDORSEMENT","type":"ENDORSEMENT","split":{"buyer":0,"other":0,"seller":0},"amount":0,"productName":"","customerOverride":false,"rateCalculationId":"","rateEffectiveDate":""},{"name":"PUD ENDORSEMENT","type":"ENDORSEMENT","split":{"buyer":0,"other":0,"seller":0},"amount":0,"productName":"","customerOverride":false,"rateCalculationId":"","rateEffectiveDate":""},{"name":"REVOLVING CREDIT MORTGAGE ENDORSEMENT","type":"ENDORSEMENT","split":{"buyer":0,"other":0,"seller":0},"amount":0,"productName":"","customerOverride":false,"rateCalculationId":"","rateEffectiveDate":""}],"requestId":"7403f0fe-28c4-4a4f-9944-fc75dfe40b82","vendorUuid":"ab84df30-e31d-11ea-a71f-9fb07abc474d"}]},"propertyInfoResultExample":{"value":[{"state":"NC","county":"Buncombe","fips":"37021","zipCodes":["28787"],"city":"Beech"},{"state":"NC","county":"Buncombe","fips":"37021","zipCodes":["28787"],"city":"Blackberry Inn"},{"state":"NC","county":"Buncombe","fips":"37021","zipCodes":["28787"],"city":"Dula Springs"},{"state":"NC","county":"Buncombe","fips":"37021","zipCodes":["28787"],"city":"Flat Creek"},{"state":"NC","county":"Buncombe","fips":"37021","zipCodes":["28787"],"city":"Jupiter"},{"state":"NC","county":"Buncombe","fips":"37021","zipCodes":["28787"],"city":"Stocksville"},{"state":"NC","county":"Buncombe","fips":"37021","zipCodes":["28787"],"city":"Stoney Knob"},{"state":"NC","county":"Buncombe","fips":"37021","zipCodes":["28787","28804"],"city":"Weaverville"}]},"configureAccountGetResponseExample":{"value":{"uuid":"3a7bf36b-0667-11ea-8cbe-0242ac120002","name":"TitleCompany","accountImage":"urlhere","accountSplash":"urlhere","id":4}},"configureUnderwriterListResponseExample":{"value":[{"name":"New Guy Title Guaranty Company","uuid":"e3ae11e6-e14a-11e9-a47e-0242ac120002","image":"url here","isActive":1,"statesAvailable":["AL","DE","MN","ND"]},{"name":"First Title Insurance Company","uuid":"5cc4ab85-5367-11ea-bc41-0242ac120003","image":"url here","isActive":1,"statesAva
[...]
